Skip to content

Get template

Request

Returns a specific template.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

templateIdstring, (uuid)required

Unique identifier of the template

GET
/api/v1/organizations/{organizationId}/templates/{templateId}
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/templates/{templateId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring, (uuid)required

The template ID.

namestring or null

The template name.

createdAtstring, (date-time)required

When the template was created.

updatedAtstring, (date-time)required

When the template was last updated.

expirationAbsoluteTemplateExpirationResponse (object) or RelativeTemplateExpirationResponse (object) or (any or null)
One of:

Absolute expiration configuration.

reminderobject(TemplateReminderResponse)

Reminder configuration.

stagesArray of objects(TemplateStageSummaryResponse)required

The stages of the template.

filesArray of objects(TemplateFileSummaryResponse)required

The files of the template.

qualifiedTimeStampbooleanrequired

Whether all signatures in the template must use a qualified timestamp server.

Example:true
signatureFormatstring(SignatureFormat)required

The signature format for an envelope or template.

Enum:"Pades""Cades"
signatureReasonstring or null

The signature reason persisted on the template, or null.

Example:"Approved by Mario Rossi"
agreementsArray of objects or null(Agreement)

The agreements per language, or null when no custom agreements are configured.

fileRestrictedVisibilitybooleanrequired

Whether file visibility is restricted per recipient.

Example:false
afterSendRedirectUrlstring or null

The URL to redirect to after sending the envelope.

Example:"https://example.com/envelope-sent"
Response
{ "id": "00000000-0000-0000-0000-000000000001", "name": "Standard NDA template", "createdAt": "2025-01-01T10:00:00+00:00", "updatedAt": "2025-01-01T10:00:00+00:00", "expiration": { "mode": "Absolute", "expiresAt": "2026-12-11T14:00:03.3629867+00:00" }, "reminder": { "enabled": true, "firstReminderInDays": 5, "resendIntervalInDays": 3, "beforeExpirationInDays": 2 }, "stages": [ { … } ], "files": [ { … } ], "qualifiedTimeStamp": true, "signatureFormat": "Pades", "signatureReason": "Approved by Mario Rossi", "agreements": null, "fileRestrictedVisibility": false, "afterSendRedirectUrl": "https://example.com/envelope-sent" }